libqwt-headers_6.1.4-1.1_i386.deb


Advertisement

Description

libqwt-headers - Qt widgets library for technical applications (header files)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libqwt-headers_6.1.4-1.1_i386.deb
Package name libqwt-headers
Package version 6.1.4
Package release 1.1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://qwt.sourceforge.net
License -
Maintainer Gudjon I. Gudjonsson <gudjon@gudjon.org>
Download size 8.09 KB
Installed size 16.00 KB

Alternatives

Package Version Architecture Repository
libqwt-headers_6.1.4-1.1_amd64.deb 6.1.4 amd64 Debian Main
libqwt-headers - - -

Requires

Name Value
libqwt-qt5-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libqwt-headers_6.1.4-1.1_i386.deb
Source Package qwt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqwt-headers deb package:
    # sudo apt-get install libqwt-headers

Files

Path
/usr/share/doc/libqwt-headers/README
/usr/share/doc/libqwt-headers/changelog.Debian.gz
/usr/share/doc/libqwt-headers/changelog.gz
/usr/share/doc/libqwt-headers/copyright

Changelog

2019-08-25 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qwt (6.1.4-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Switch to debhelper compat 12.
* Install man pages.
* Fail in case of files not being installed.
* Drop the Qt 4 version (Closes: #875165).
- Remove unneeded build dependencies.
- Remove related packages.
- Make libqwt-headers-dev a transitional package that depends upon
libqwt-qt5-dev.
- Add Breaks + Replaces.
- Modify debian/rules accordingly.
* Bump Standards-Version to 4.4.0. No changes required.
* Move qwtmathml.prf to libqwtmathml-qt5-dev, adding proper Breaks+Replaces.
2019-02-28 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwt (6.1.4-1) unstable; urgency=medium
* New upstream release
* Change watch file url to https.
* Bump standards version to 4.3.0.2
* Refresh all patches
* Change 6.1.3 to 6.1.4 in rules file
* Update symbols files
* Don't exclude build of qt4 designer plugin
2018-01-12 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwt (6.1.3-1) unstable; urgency=medium
* New upstream version
* Bump standards version to 4.1.3, no changes needed
* Change compat level to 9
* Remove unwanted man1 manpages (Closes: #850641)
* Change myself to maintainer (Closes: #879431)
* Update symbols files with buildds' logs. Yet again.
(Closes: #886171)
* Override dh_makeshlibs to not fail on symbols changes,
and set upstream version (thanks to Bas Couwenberg)
* Add README.source file
2016-09-05 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qwt (6.1.2-6) unstable; urgency=medium
* Non-maintainer upload.
* Update symbols files with buildds' logs. Yet again.
2016-09-04 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qwt (6.1.2-5.4) unstable; urgency=medium
* Non-maintainer upload.
* Update symbols files with buildds' logs.
2016-09-04 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qwt (6.1.2-5.3) unstable; urgency=medium
* Non-maintainer upload.
* Update symbols files with buildds' and current build logs
(Closes: #835755).
2016-07-16 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qwt (6.1.2-5.2) unstable; urgency=medium
* Non-maintainer upload.
* Update symbols files with buildd's logs.
2016-07-15 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qwt (6.1.2-5.1) unstable; urgency=medium
[ Bas Couwenberg ]
* Non-maintainer upload.
* Update symbols for amd64 (recent logs), sparc64 & x32 (old logs).
[ Lisandro Damián Nicanor Pérez Meyer ]
* Mark optional symbols as such to prevent further FTBFSs.
* Fix typo in previous changelog entry.
* Bump Standards-Version to 3.9.8, no changes required.
2016-03-07 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qwt (6.1.2-5) unstable; urgency=medium
* Team upload to unstable.
* Update Standards-Version to 3.9.7, no changes required.
2016-01-25 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
qwt (6.1.2-4) experimental; urgency=medium
* Update symbol files from builds

See Also

Package Description
libqwt-qt5-6_6.1.4-1.1_i386.deb Qt widgets library for technical applications (runtime, qt5)
libqwt-qt5-dev_6.1.4-1.1_i386.deb Qt widgets library for technical applications (development, qt5)
libqwt5-doc_5.2.3-1_all.deb Qt widgets library for technical applications (documentation)
libqwt5-qt4-dev_5.2.3-1+b2_i386.deb Qt4 widgets library for technical applications (development)
libqwt5-qt4_5.2.3-1+b2_i386.deb Qt4 widgets library for technical applications (runtime)
libqwt6abi1_6.1.4-1_i386.deb Qt widgets library for technical applications (runtime, qt4)
libqwtmathml-dev_6.1.4-1_i386.deb Text Engine for Qwt (development, qt4)
libqwtmathml-qt5-6_6.1.4-1.1_i386.deb Text Engine for Qwt (runtime, qt5)
libqwtmathml-qt5-dev_6.1.4-1.1_i386.deb Text Engine for Qwt (development, qt5)
libqwtmathml6abi1_6.1.4-1_i386.deb Text Engine for Qwt (runtime, qt4)
libqwtplot3d-doc_0.2.7+svn191+gcc7-3_all.deb 3D plotting library based on Qt/OpenGL (documentation)
libqwtplot3d-qt5-0_0.2.7+svn191+gcc7-3_i386.deb 3D plotting library based on Qt5/OpenGL (runtime)
libqwtplot3d-qt5-dev_0.2.7+svn191+gcc7-3_i386.deb 3D plotting library based on Qt5/OpenGL (development)
libqxmpp-dev_1.0.0-4+b1_i386.deb Development files for the QXmpp library
libqxmpp-doc_1.0.0-4_all.deb Documentation for the QXmpp library
Advertisement
Advertisement